Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
qualityAssurances
/
ignoredWarnings
Add ignored warnings
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/qualityAssurances/ignoredWarnings \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "segments": [
    {
      "uid": "<string>",
      "warnings": [
        {
          "id": "<string>"
        }
      ]
    }
  ]
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/qualityAssurances/ignoredWarnings"

payload = { "segments": [
{
"uid": "<string>",
"warnings": [{ "id": "<string>" }]
}
] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({segments: [{uid: '<string>', warnings: [{id: '<string>'}]}]})
};

fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/qualityAssurances/ignoredWarnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "segments": [
    {
      "uid": "<string>",
      "warnings": [
        {
          "id": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Project UID

jobUid
string
required

Job UID

Body

application/json

Segments and warnings to mark as ignored

segments
object[]
required
Required array length: 1 - 500 elements

Response

OK

segments
object[]
required
Required array length: 1 - 500 elements